'api_documentation': 'http://ros.org/doc/api/image_rotate/html/'
'authors': 'Blaise Gassend'
'brief': 'Node to rotate an image stream.'
'dependency_tree': 'http://ros.org/doc/api/image_rotate/html/image_rotate_deps.pdf'
'depends':
- 'tf'
- 'opencv2'
- 'roscpp'
- 'dynamic_reconfigure'
- 'geometry_msgs'
- 'image_transport'
- 'cv_bridge'
- 'sensor_msgs'
- 'std_msgs'
'depends_on': []
'description': "<p>\n      Contains a node that rotates an image stream in a way that\
  \ minimizes\n      the angle between a vector in some arbitrary frame and a vector\
  \ in the\n      camera frame. The frame of the outgoing image is published by the\
  \ node.\n    </p>\n    <p>\n      This node is intended to allow camera images to\
  \ be visualized in an\n      orientation that is more intuitive than the hardware-constrained\n\
  \      orientation of the physical camera. This is particularly helpful, for\n \
  \     example, to show images from the PR2's forearm cameras with a\n      consistent\
  \ up direction, despite the fact that the forearms need to\n      rotate in arbitrary\
  \ ways during manipulation.\n    </p>\n    <p>\n      It is not recommended to use\
  \ the output from this node for further\n      computation, as it interpolates the\
  \ source image, introduces black\n      borders, and does not output a camera_info.\n\
  \    </p>"
'license': 'BSD'
'msgs': []
'name': 'image_rotate'
'repository': 'ros-pkg'
'repository-actual': 'image_pipeline'
'review_notes': ''
'review_status': 'unreviewed'
'rosinstall':
  'svn': &id001
    'local-name': 'image_pipeline'
    'uri': 'https://code.ros.org/svn/ros-pkg/stacks/image_pipeline/tags/image_pipeline-1.6.4'
'rosinstalls':
  'devel':
    'svn':
      'local-name': 'image_pipeline'
      'uri': 'https://code.ros.org/svn/ros-pkg/stacks/image_pipeline/branches/image_pipeline-1.6'
  'distro':
    'svn':
      'local-name': 'image_pipeline'
      'uri': 'https://code.ros.org/svn/ros-pkg/stacks/image_pipeline/tags/electric'
  'release':
    'svn': *id001
'siblings':
- 'image_proc'
- 'stereo_image_proc'
- 'camera_calibration'
- 'image_rotate'
- 'image_view'
'srvs': []
'stack': 'image_pipeline'
'url': 'http://ros.org/wiki/image_rotate'
'vcs': 'svn'
'vcs_uri': 'https://code.ros.org/svn/ros-pkg/stacks/image_pipeline/tags/image_pipeline-1.6.4'
